#!/usr/bin/env python
# -*- coding: utf-8 -*-

# mapWOC
#
# Description: Brute, wet standalone tarball analysis.
#
# Authors:
# Felix Wolfsteller <felix.wolfsteller@intevation.de>
#
# Copyright:
# Copyright (C) 2012 Bundesamt für Sicherheit in der Informationstechnik
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License version 2,
# or, at your option, any later version as published by the Free
# Software Foundation
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.

from mapwoc.masterctrl.resultfileanalyser import ResultFileAnalyser
from tests.util import enable_logging
from optparse import OptionParser
from sqlalchemy import *
from mapwocgui.model.meta import Session

enable_logging(True)

def main():
    parser = OptionParser()
    parser.set_defaults(verbosity=1)
    parser.add_option("-d", "--database", dest="db")
    parser.add_option("-r", "--resultfile", dest="resultfile")
    opts, rest = parser.parse_args()

    ANALYSERSCRIPT = "analyser/src/mapwocanalyse.pl"
    engine = create_engine('sqlite:///%s' % opts.db)
    __c = engine.connect()
    Session.configure(bind=engine)
    r = ResultFileAnalyser(opts.resultfile, "nonode")

    r.analyse()

if __name__ == "__main__":
    main()

